// This is the DHTML Automation scriptlet.

// The Generic Message IDs and Event IDs
var DHTML_DESTROY      = 10;
var DHTML_SHOW_WINDOW  = 20;
var DHTML_SET_POSITION = 30;
var DHTML_SET_SIZE     = 40;
var DHTML_ADD_CSS      = 50;

var TVM_ONCLOSE = 10;
var TVM_ONLOAD = 20;
var TVM_ONMOVE = 30;
var TVM_ONRESIZE = 40;

// This is the main invoke function.
function TVAuto_Invoke(id, event, params)
{
  switch(event)
  {
  case DHTML_SHOW_WINDOW:
    TVAuto_ShowWindow(id, params);
    break;
  case DHTML_SET_SIZE:
    TVAuto_SetSize(id, params);
    break;
  case DHTML_SET_POSITION:
    TVAuto_SetPosition(id, params);
    break;
  case DHTML_DESTROY:
    TVAuto_Destroy(id);
    break;
  case DHTML_ADD_CSS:
    TVAuto_AddCSS(params);
    break;
  default:
    break;
  }
}

// The generic show window function.
function TVAuto_ShowWindow(controlID, bVisible)
{
  var control = eval("document.all.TV_"+controlID);
  if(control)
  {
    if(bVisible)
      control.style.display = "block";
    else
      control.style.display = "none";
    return true;
  }
  else
  {
    return false;
  }
}

// The generic set size function.
function TVAuto_SetSize(controlID, param)
{
  var size = TVAuto_ParseParam(param);
  var control = eval("document.all.TV_"+controlID);
  if(control)
  {
    if(size.length == 2)
    {
      control.style.width = size[0];
      control.style.height = size[1];
      return true;
    }
    else
    {
      return false;
    }
  }
  else
  {
    return false;
  }
}

// The generic set position function.
function TVAuto_SetPosition(controlID, param)
{
  var position = TVAuto_ParseParam(param);
  var control = eval("document.all.TV_"+controlID);
  if(control)
  {
    if(position.length == 2)
    {
      control.style.left = position[0];
      control.style.top = position[1];
      return true;
    }
    else
    {
      return false;
    }
  }
  else
  {
    return false;
  }
}

// The generic destroy function.
function TVAuto_Destroy(controlID)
{
  var control = eval("document.all.TV_"+controlID);
  if(control)
  {
    control.outerHTML = "";
    return true;
  }
  else
  {
    return false;
  }
}

function TVAuto_AddCSS(params)
{
  var css = document.styleSheets;
  if (css != null)
    document.createStyleSheet(sheet);
}


// This sends an event back to the CDerivedDhtmlWindow
// by setting the status text.
function TVAuto_RaiseEvent(id, event, sParam)
{
  var sMesg = "AweAnnotMsg<tvp>"+id+"<tvp>"+event;
  if(sParam)
    sMesg += "<tvp>"+sParam;
  window.status = sMesg;
  window.status = '';
}

// This parses the parameters being passed thru the invoke function.
function TVAuto_ParseParam(param)
{
  var reg = /<tvp>/;
  var regArray = param.split(reg);
  return regArray;
}
